Kerbal Space Program - Bug #1162

Unable to Undock Craft
07/31/2013 12:14 AM - GiggityOne45

Status: Closed Start date: 07/31/2013
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 0.23

Version: 0.21.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Problem:

When docked to a craft, time accelerate, and then attempt to undock, the Undock button does not function.
Notes:

When bringing up the console log, this message appears when clicking the undock button:
[EXC 00:24:19.313] NullReferenceException: Object reference not set to an instance of an object

Five individual craft were docked together at the incident:

Listed from one end to the other:

BUS 101; to below via Clamp-O-Tron Sr.

BUS 101; to below via Clamp-O-Tron (Normal)

FT Chain Transport; to below via Clamp-O-Tron (Normal)

FT ManPilot v1; to below via Clamp-O-Tron (Normal) (Without the probe head section)
LNDR One

The undocking attempt was between the FT Chain Transport and FT ManPilot v1. After entering time acceleration (x5) and exiting
back to (x1) rapidly (about 0.3s between HotKey , and then . ) along a lunar-intercept orbit from Kerbin to stabilize the docked ships
from wobbling around (and exhausting fuel from the FT ManPilot), | was unable to utilize the undock on the Clamp-O-Tron port on
the FT Chain Transport.

Undocking the LNDR One from the FT ManPilot v1 and undocking the FT Chain Transport from BUS 101, then switching to LNDR
One and docking to the FT ManPilot seemed to fix the issue.

History

#1-12/18/2013 11:10 AM - Ted
- Status changed from New to Ready to Test
- Target version set to 0.23

- % Done changed from 0 to 80

Could you give this one a retest in 0.23? It may have been fixed.

#2 - 03/24/2014 09:18 PM - Aceius
- File screenshot3.jpg added

Nope, definitely still there in .23. It only seems to be a problem when chaining together a bunch of separate crafts in different ways. (one on the top,
one on the bottom, attaching that chain to another part, etc)

#3 - 12/07/2014 11:44 AM - Ted
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100
